import * as booking from './module/booking'
import * as tracking from './module/tracking'
import * as common from './module/common'
import * as login from './module/login'
import * as other from './module/other'
/**
 * api 对象接口定义
 */
function generateApiMap(maps: any) {
  const methodMap: any = {}
  for (const key in maps) {
    methodMap[key] = maps[key]
  }
  return methodMap
}

const apis = generateApiMap({
  ...booking,
  ...tracking,
  ...common,
  ...login,
  ...other
})
export default {
  ...apis // 取出所有可遍历属性赋值在新的对象上
}
